<databaseChangeLog
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.2.xsd">
    <changeSet
            id="DUKH-1-initial-data-change-value_in-systemconfig.xml"
            author="SYSTEM">
        <sql>
            update mpay_networkmanagements set z_status_id='1271149969';
            INSERT INTO MPAY_SYSCONFIGS (ID, Z_ARCHIVE_ON, Z_ARCHIVE_QUEUED, Z_ARCHIVE_STATUS, Z_ASSIGNED_GROUP, Z_ASSIGNED_USER, Z_CREATED_BY, Z_CREATION_DATE, Z_DELETED_BY, Z_DELETED_FLAG, Z_DELETED_ON, Z_EDITABLE, Z_LOCKED_BY, Z_LOCKED_UNTIL, Z_ORG_ID, Z_TENANT_ID, Z_UPDATED_BY, Z_UPDATING_DATE, Z_WORKFLOW_ID, Z_WS_TOKEN, Z_DRAFT_STATUS, CONFIGKEY, CONFIGVALUE, HINT, ISDOWNLOADABLE, REGEX, SECTION, Z_DRAFT_ID, Z_STATUS_ID) VALUES(1000000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'SYSTEM', NULL, NULL, NULL, NULL, NULL, 'is P2P onus', '1', 'is P2P onus', false, NULL, 'ALL', NULL, NULL);
            INSERT INTO MPAY_SYSCONFIGS (ID, Z_ARCHIVE_ON, Z_ARCHIVE_QUEUED, Z_ARCHIVE_STATUS, Z_ASSIGNED_GROUP, Z_ASSIGNED_USER, Z_CREATED_BY, Z_CREATION_DATE, Z_DELETED_BY, Z_DELETED_FLAG, Z_DELETED_ON, Z_EDITABLE, Z_LOCKED_BY, Z_LOCKED_UNTIL, Z_ORG_ID, Z_TENANT_ID, Z_UPDATED_BY, Z_UPDATING_DATE, Z_WORKFLOW_ID, Z_WS_TOKEN, Z_DRAFT_STATUS, CONFIGKEY, CONFIGVALUE, HINT, ISDOWNLOADABLE, REGEX, SECTION, Z_DRAFT_ID, Z_STATUS_ID) VALUES(1000002, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'SYSTEM', NULL, NULL, NULL, NULL, NULL, 'Transaction details sender name', 'senderName', 'Transaction details sender name', false, NULL, 'ALL', NULL, NULL);
            update mpay_sysconfigs set configvalue='DUKHCI' where configkey='SYSTEM SERVICE ID';
            update mpay_sysconfigs set configvalue='jfwMPCActivemq:queue:mpc.dukh.regfile.outward' where configkey='RegistrationOutwardRoute';
            update mpay_sysconfigs set configvalue='dukh' where configkey='Agent Type Code';
            update mpay_sysconfigs set configvalue='dukh' where configkey='Agent Short Name';
            update mpay_sysconfigs set configvalue='BRWAQAQA' where configkey='Sending PSP BIC Code';
            update mpay_sysconfigs set configvalue='QMAGQAQAMPC' where configkey='MPClear BIC Code';
            update mpay_sysconfigs set configvalue='DUKH' where configkey='Default Bank Code';
            insert into MPAY_SysConfigs (Id, ConfigKey, ConfigValue, Hint, IsDownloadable, Section, Z_ORG_ID, Z_TENANT_ID) values (200009, 'Notifications Processor', 'com.progressoft.mpay.barwa.plugins.smsservice.BarwaSmsNotificationUseCase', 'Notification Processor', true, 'ALL', 0, 'SYSTEM');
            update mpay_sysconfigs set configvalue='DUKHTELLER1@DUKH' where configkey='MPCLEAR TELLER ALIAS';
            update mpay_sysconfigs set configvalue= (select   id  from jfw_orgs where description ='BARWA') where configkey='Org Id' ;
            update mpay_sysconfigs set configvalue='BARWA' where configkey='Tenant Name';
            update mpay_sysconfigs set configvalue='http://localhost:4545/processMessage?token=y' where configkey='Spring Service Url';
            update mpay_sysconfigs set configvalue='DUKH' where configkey='Customer Registration Bank Code';
            update mpay_sysconfigs set configvalue='20' where configkey='Bank digits code';
            INSERT INTO MPAY_SYSCONFIGS (ID, Z_ARCHIVE_ON, Z_ARCHIVE_QUEUED, Z_ARCHIVE_STATUS, Z_ASSIGNED_GROUP, Z_ASSIGNED_USER, Z_CREATED_BY, Z_CREATION_DATE, Z_DELETED_BY, Z_DELETED_FLAG, Z_DELETED_ON, Z_EDITABLE, Z_LOCKED_BY, Z_LOCKED_UNTIL, Z_ORG_ID, Z_TENANT_ID, Z_UPDATED_BY, Z_UPDATING_DATE, Z_WORKFLOW_ID, Z_WS_TOKEN, Z_DRAFT_STATUS, CONFIGKEY, CONFIGVALUE, HINT, ISDOWNLOADABLE, REGEX, SECTION, Z_DRAFT_ID, Z_STATUS_ID) VALUES(6555, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 'SYSTEM', NULL, NULL, NULL, NULL, NULL, 'Signing Algorithm', 'SHA256withRSA', 'Signing Algorithm', false, NULL, 'ALL', NULL, NULL);
        </sql>
        <rollback>
            <sql>

            </sql>
        </rollback>
    </changeSet>
</databaseChangeLog>



